Loading...
Searching...
No Matches
CWorkerThread Class Reference

Thread that runs functions, one at a time. More...

`#include <src/common/thread/worker_thread.h>`

## Public Types

using | ThreadFunctionPtr = std::function<void()>

## Public Member Functions

void | Start (ThreadFunctionPtr &&func)
| CWorkerThread (const CWorkerThread &)=delete
CWorkerThread & | operator= (const CWorkerThread &)=delete

## Detailed Description

Thread that runs functions, one at a time.

The documentation for this class was generated from the following file:

- src/common/thread/worker_thread.h